-- GENERATED CODE, edited
-- Node Box Editor, version 0.9.0


minetest.register_node("planet_moon:moon_portal", {
  description = "Moon Portal Block",
  light_source = 5,
  drop = {},
  tiles = {
		"default_steel_block.png",
		"default_steel_block.png",
		"portal_moon_side.png",
		"portal_moon_side.png",
		"portal_moon_side.png",
		"portal_moon_side.png"
	},
	drawtype = "nodebox",
	paramtype = "light",
	node_box = {
		type = "fixed",
    fixed = {
			{-0.5, 0.4375, -0.5, 0.5, 0.5, 0.5}, -- NodeBox3
			{-0.5, -0.5, -0.5, 0.5, -0.4375, 0.5}, -- NodeBox6
			{-0.4375, -0.4375, -0.4375, 0.4375, 0.4375, 0.4375}, -- NodeBox7
			{0.4375, -0.5, -0.5, 0.5, 0.5, -0.4375}, -- NodeBox8
			{-0.5, -0.5, 0.4375, -0.4375, 0.5, 0.5}, -- NodeBox9
			{0.4375, -0.5, 0.4375, 0.5, 0.5, 0.5}, -- NodeBox10
			{-0.5, -0.5, -0.5, -0.4375, 0.5, -0.4375}, -- NodeBox11
			{-0.4375, -0.4375, -0.5, -0.375, -0.375, 0.5}, -- NodeBox12
			{-0.375, -0.375, -0.5, -0.3125, -0.3125, 0.5}, -- NodeBox13
			{-0.3125, -0.3125, -0.5, -0.25, -0.25, 0.5}, -- NodeBox14
			{-0.25, -0.25, -0.5, -0.1875, -0.1875, 0.5}, -- NodeBox15
			{-0.25, 0.1875, -0.5, -0.1875, 0.25, 0.5}, -- NodeBox19
			{0.1875, 0.1875, -0.5, 0.25, 0.25, 0.5}, -- NodeBox22
			{0.25, 0.25, -0.5, 0.3125, 0.3125, 0.5}, -- NodeBox23
			{0.3125, 0.3125, -0.5, 0.375, 0.375, 0.5}, -- NodeBox24
			{0.375, 0.375, -0.5, 0.4375, 0.4375, 0.5}, -- NodeBox25
			{0.375, -0.4375, -0.5, 0.4375, -0.375, 0.5}, -- NodeBox26
			{0.3125, -0.375, -0.5, 0.375, -0.3125, 0.5}, -- NodeBox33
			{0.25, -0.3125, -0.5, 0.3125, -0.25, 0.5}, -- NodeBox34
			{0.1875, -0.25, -0.5, 0.25, -0.1875, 0.5}, -- NodeBox35
			{-0.3125, 0.25, -0.5, -0.25, 0.3125, 0.5}, -- NodeBox39
			{-0.375, 0.3125, -0.5, -0.3125, 0.375, 0.5}, -- NodeBox45
			{-0.4375, 0.375, -0.5, -0.375, 0.4375, 0.5}, -- NodeBox46
			{-0.5, -0.0625, 0.1875, 0.5, 0.0625, 0.4375}, -- NodeBox47
			{-0.5, 0.375, -0.4375, 0.5, 0.4375, -0.375}, -- NodeBox48
			{-0.5, 0.3125, -0.375, 0.5, 0.375, -0.3125}, -- NodeBox49
			{-0.5, 0.25, -0.3125, 0.5, 0.3125, -0.25}, -- NodeBox50
			{-0.5, 0.1875, -0.25, 0.5, 0.25, -0.1875}, -- NodeBox51
			{-0.5, 0.125, -0.1875, 0.5, 0.1875, -0.125}, -- NodeBox52
			{-0.5, 0.1875, 0.1875, 0.5, 0.25, 0.25}, -- NodeBox56
			{-0.5, 0.25, 0.25, 0.5, 0.3125, 0.3125}, -- NodeBox57
			{-0.5, 0.3125, 0.3125, 0.5, 0.375, 0.375}, -- NodeBox58
			{-0.5, 0.375, 0.375, 0.5, 0.4375, 0.4375}, -- NodeBox59
			{-0.5, -0.4375, 0.375, 0.5, -0.375, 0.4375}, -- NodeBox60
			{-0.5, -0.375, 0.3125, 0.5, -0.3125, 0.375}, -- NodeBox61
			{-0.5, -0.3125, 0.25, 0.5, -0.25, 0.3125}, -- NodeBox62
			{-0.5, -0.25, 0.1875, 0.5, -0.1875, 0.25}, -- NodeBox63
			{-0.5, -0.25, -0.25, 0.5, -0.1875, -0.1875}, -- NodeBox68
			{-0.5, -0.3125, -0.3125, 0.5, -0.25, -0.25}, -- NodeBox69
			{-0.5, -0.375, -0.375, 0.5, -0.3125, -0.3125}, -- NodeBox70
			{-0.5, -0.4375, -0.4375, 0.5, -0.375, -0.375}, -- NodeBox71
			{-0.5, -0.1875, -0.1875, 0.5, 0.1875, -0.125}, -- NodeBox72
			{-0.5, 0.1875, -0.0625, 0.5, 0.4375, 0.0625}, -- NodeBox73
			{-0.5, -0.1875, 0.125, 0.5, 0.1875, 0.1875}, -- NodeBox74
			{-0.5, 0.125, -0.1875, 0.5, 0.1875, 0.1875}, -- NodeBox75
			{-0.5, -0.1875, -0.1875, 0.5, -0.125, 0.1875}, -- NodeBox76
			{-0.5, -0.0625, -0.4375, 0.5, 0.0625, -0.125}, -- NodeBox77
			{-0.1875, -0.1875, -0.5, 0.1875, -0.125, 0.5}, -- NodeBox78
			{-0.1875, 0.125, -0.5, 0.1875, 0.1875, 0.5}, -- NodeBox79
			{-0.1875, -0.1875, -0.5, -0.125, 0.1875, 0.5}, -- NodeBox80
			{0.125, -0.1875, -0.5, 0.1875, 0.1875, 0.5}, -- NodeBox81
			{0.1875, -0.0625, -0.5, 0.4375, 0.0625, 0.5}, -- NodeBox82
			{-0.4375, -0.0625, -0.5, -0.1875, 0.0625, 0.5}, -- NodeBox83
			{-0.0625, 0.1875, -0.5, 0.0625, 0.4375, 0.5}, -- NodeBox84
			{-0.0625, -0.4375, -0.5, 0.0625, -0.1875, 0.5}, -- NodeBox86
			{-0.125, -0.125, -0.471614, 0.125, 0.125, 0.468775}, -- NodeBox87
			{-0.472289, -0.125, -0.125, 0.469988, 0.125, 0.125}, -- NodeBox88
		}
	},
  groups = {cracky = 3, not_in_creative_inventory = 1},
  sounds = default.node_sound_metal_defaults(),
})

minetest.register_craft({
    type = "shapeless",
    output = "planet_moon:moon_portal",
    recipe = {
        "default:steelblock",
        "default:mese_crystal ",
    },
})
